Sub BackScatCoef9 (Z,E0,eta)

'Backscattering coefficient,Hunger and Kuchler (1979)
'Input parameters:  Z   = atomic number (Z=4 to 92)
'		    E0  = energy of electron beam in keV (from 4 to 40 keV)
'Output parameter:  eta = backscattering coefficient

     K=0.1904-0.2236*log(Z)+0.1292*(log(Z))^2-0.01491*(log(Z))^3
     m=0.1382-0.9211*Z^(-0.5)
     eta=K*E0^m

End Sub
