Sub Error1 (x,erf)

'Calculation of error function in phi-rho-z,Hastings (1955)
'Input parameter:   x   = number
'Output parameter:  erf = error function of the x

	p=0.47047
	a1=0.3480242
	a2=-0.0958798
	a3=0.7478556
	t=1/(1+p*x)
	e=2.5e-5
	erf=1-(a1*t+a2*t^2+a3*t^3)*exp(-x^2)+e

End Sub

