Sub ICS23 (E0,Ec,Q)

     'Subroutine:Ionization cross-section for K-lines,Luo and Joy (1991)
     'Input parameters:     E0    :    incident beam energy in keV
     '                      Ec    :    excitation potential in keV
     'Output parameters:    Q     :    ionization cross-section in cm^2

     U=E0/Ec
     bc=9.1e-20
     m=0.95
     Q=bc*log(U)/U^m
     Q=Q/Ec^2

End Sub