Sub MeanIonPot11 (Z,J,J1)

'Corrected mean ionization potential,Livingston and Bethe (1937)
'Input parameter:  Z = atomic number
		   J = ionization potential in keV
'Output parameter: J = corrected ionization potential in keV

     JK=15.0008*(Z-0.3)^2
     J1=exp(log(J^2*JK^(-1.81))/(Z-1.81))

End Sub