Sub Phi05 (E0,Ec,Z,phi0)

     'Subroutine:Ichimura et.al. phi(0) expression,(1983)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Z     :   atomic number
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     phi0=1+(2.34-2.10*Z^0.14)*U0^(-0.35)+2.58*Z^0.14-2.98

End Sub
