Sub Phi06 (E0,Ec,Eta,phi0)

     'Subroutine:Pouchou and Pichoir phi(0) expression,(1986)
     'Input parameters:   E0    :   incident beam energy in keV
     '                    Ec    :   excitation potential in keV
     '                    Eta   :   backscattering coefficient
     'Output parameter:   phi0  :   surface ionization function

     U0=E0/Ec
     g=2-2.3*Eta
     phi0=1+3.3*(1-1/U0^g)*Eta^1.2

End Sub
