Sub Range2 (E0,Z,A,rho,Range)

'Electron range,Kanaya and Okayama (1972)
'Input parameters:  E0    = energy of electron beam in keV
'                   Z     = atomic number
'                   A     = atomic weight
'                   rho   = density in g/cm^3
'Output parameter:  Range = electron range in microns

     Range=(0.0276*E0^1.67*A)/Z^(8/9)
     Range=Range/rho

End Sub