Sub Range7 (E0,Z,A,rho,Range)

'Depth of X-ray production,Colby (1967)
'Input parameters:  E0    = energy of elctron beam in keV
'                   Z     = atomic number
'                   A     = atomic weight
'                   rho   = density in g/cm^3
'Output parameter:  Range = depth of X-ray production in microns

     Range=0.033*(E0^1.5)*A/Z
     Range=Range/rho

End Sub