Sub RelIntFact1 (Z,L,p)

'Relative intensity factors or transition probability
'Poehn,Wernisch and Hanke (1985)
'Input parameters: Z = atomic number
'                  L = code for lines (1 for K,2 for L)
'Output parameter: p = relative intensity factor

  if L=1 then
      if Z>=11 and Z<=19 then
	   p=1.052-4.39e-4*Z^2
      elseif Z>=20 and Z<=29 then
	   p=0.896-6.575e-4*Z
      elseif Z>=30 and Z<=60 then
	   p=1.0366-6.82e-3*Z+4.815e-5*Z^2
      end if
  elseif L=2 then
      if Z>=37 and Z<=44 then
	   p=0.944
      elseif Z>=45 and Z<=83 then
	   p=-4.461e-1+5.493e-2*Z-7.717e-4*Z^2+3.525e-6*Z^3
      end if
  end if

End Sub