cls



Z=26:Ec=7.11:E0=25:etha=0.287
alpha=0
'Sub BackFactor8 (E0,Ec,etha,alpha,R)

'Backscattering factor (R-Factor),Czyzewski (1985)
'Input parameters: E0    = energy of the electron beam in keV
'                  Ec    = critical excitation energy in keV
'                  etha  = backscattering coefficient
'		   alpha = specimen tilt angle if deg.
'Output parameter: R     = backscattering factor

	alpha=alpha*0.017453
	U0=E0/Ec
	k=1.6
	p=(0.8+2*etha)*log(1/etha)
	s=0.1054*(2^p-1+1/(2.25*cos(alpha)^p))
	a=1/((U0-1)^1.67)
	'Calculate integral function by Romberg's
	'numerical integration method
	def fnf1(U)=k*p*s*etha*(U^(k-1)/U0^(k-1))/((U0*(1-U^k/U0^k)^(1+p))*(1-s+s/(1-U^k/U0^k)^p)^2)
	dim n9%(16),t(136)
	T1=0.00001
	U1=1
	U0=U0-0.1
	gosub 2000
	print "area";S3

2000    P5%=1
	N9%(1)=1
	D7=(U0-U1)/P5%
	C=(fnf1(U1)+fnf1(U0-0.1))/2
	T(1)=D7*C
	N%=1
	N8%=2
	S3=C
40      N%=N%+1
	  F3=4
	  N9%(N%)=N8%
	  P5%=P5%*2
	  L%=P5%-1
	  D7=(U0-U1)/P5%
	  for II%=1 to (L%+1)/2
	     I%=II%*2-1
	     U=U1+I%*D7
	     S3=S3+fnf1(U)
	  next II%
	  T(N8%)=D7*S3
	  print P5%,T(N8%)
	  N7%=N9%(N%-1)
	  K%=N%-1
	  for M%=1 to K%
	    J%=N8%+M%
	    N6%=N9%(N%-1)+M%-1
	    T(J%)=(F3*T(J%-1)-T(N6%))/(F3-1)
	    F3=F3*4
	  next M%
	  print J%,T(J%)
	  if (N%<=4) then 10
	     if (T(N8%+1)=0) then 10
	       if  (abs(T(N7%+1)-T(N8%+1))<=abs(T(J%)*T1)) then 20
	       if (N%>15) then 30
10        N8%=J%+1
	  goto 40
20        S3=T(J%)
2390      return
30        print "no convergence"



