cls
E0=25
Ec=7.11
n=1
for i=1 to n
   input"Z: ";AtNum(i)
   input"A: ";AtWht(i)
   input"Conc: ";conc(i)
next i

call stp3 (E0,Ec,n,AtNum(),AtWht(),Conc(),S)
print s
while not instat
wend
end


Sub Stp3 (E0,Ec,n,AtNum(),AtWht(),conc(),S)

     'Stopping power factor for specimen with n elements
     'Love, Cox and Scott (1978)
     'Input parameters:     E0   :   Beam energy in keV
     '                      Ec   :   Critical excitation potential in keV
     '                      n    :   Number of elements in the sample
     '                  AtNum(n) :   Atomic number of n-th element
     '                  AtWht(n) :   Atomic weight of n-th element
     '                   conc(n) :   Mass fraction of n-the elemnt
     'Output parameter:     S    :   Stopping power factor

     'Ionization potential of sample in keV
     Sum=0
     J=0
     for i=1 to n
       J2=0.0135*AtNum(i)
       X=conc(i)*AtNum(i)/AtWht(i)
       Sum=Sum+X
       J=J+Sum*log(J2)/Sum
     next i
     J=exp(J)
     U0=E0/Ec
     U1=(U0^0.5-1)/(U0-1)
     'Stopping power factor for sample
     S=(1+16.05*(J/Ec)^0.5*U1^0.7)/Sum
     S=1/S

End Sub