'Program Test5 for testing microanalysis progam with database
'of 151 analysis (carbides).

'Parameters:  No      :   analysis number in database
'             ElemA$  :   analysed element A
'             Lin$    :   line (Ka,La,Ma)
'             ElemB$  :   analysed element B
'             kV      :   accelerating voltage in keV
'             Wfa     :   weight fraction of element A
'             Wfb     :   weight fraction of element B
'             Ka      :   K-ratio of element A
'             Kb      :   K-ratio of element B
'             TOA     :   X-ray take off angle in degrees

open"i",#1,"carbides.dat"
for i=1 to 151
     cls
     input #1,No,ElemA$,Lin$,ElemB$,kV,Wfa,Ka,TOA
     print"Analysis number: ";No
     print"Element A: ";ElemA$
     print"Line: ";Lin$
     print"Element B: ";ElemB$
     print"Acc.voltage: ";kV
     print"Weight fraction of element A: ";Wfa
     print"Weight fraction of element B: ";1-Wfa
     print"K-ratio of element A: ";Ka
     print"K-ratio of element B: ";1-Ka
     print"Take off angle: ";TOA
next i
close #1
while not instat
wend
end

