'Program Test7 for testing microanalysis progam with database
'of 681 analysis.

'Parameters:  No      :   analysis number
'             ZA      :   atomic number of component A
'             ZB      :   atomic number of component B
'             MA      :   mass absorption coefficient of element A-radiation
'                         in element A
'             MB      :   mass absorption coefficient of element A-radiation
'                         in element B
'             EcA     :   critical excitation volatge (keV) of element A-radiation
'             Wfa     :   weight fraction of element A
'             Wfb     :   weight fraction of element B
'             Ka      :   K-ratio of element A
'             Kb      :   K-ratio of element B
'             kV      :   accelerating voltage in keV
'             TOA     :   X-ray take off angle in degrees
'             L       :   line code (0=K alpha,1=L alpha,2=M alpha)

open"i",#1,"681.dat"
for i=1 to 681
     cls
     input #1,No,ZA,ZB,MA,MB,EcA,Wfa,Ka,keV,TOA,L
     print"Analysis number: ";No
     print"Atomic number of element A: ";ZA
     print"Atomic number of element B: ";ZB
     print"MAC's of A-radiation in element A: ";MA
     print"MAC's of A-radiation in element B: ";MB
     print"Critical excitation voltage (keV) of element A-radiation: ";EcA
     print"Weight fraction of element A: ";Wfa
     print"Weight fraction of element B: ";1-Wfa
     print"K-ratio of A: ";Ka
     print"K-ratio of B: ";1-Ka
     print"Accelerating voltage (keV): ";keV
     print"Take off angle: ";TOA
     if L=0 then
	L$="K"
     elseif L=1 then
	L$="L"
     else
	L$="M"
     end if
     print"Line code: ";L$
next i
close #1
while not instat
wend
end

