Sub Alpha7 (Ze,Zo,c,d,e)

     'Subroutine:Read alpha correction factors form random access file
     '           for 15 keV and take-off angle 40.0 degrees
     'Input parameters:       Ze    :    atomic number of emitting line
     '                        Zo    :    oxide atomic number
     'Output parameters:      c     :    c - factor
     '                        d     :    d - factor
     '                        e     :    e - factor

     'Conversion table for I index
     if Zo=11 then
	  I=1
     elseif Zo=12 then
	  I=4
     elseif Zo=13 then
	  I=7
     elseif Zo=14 then
	  I=10
     elseif Zo=19 then
	  I=13
     elseif Zo=20 then
	  I=16
     elseif Zo=22 then
	  I=19
     elseif Zo=23 then
	  I=22
     elseif Zo=24 then
	  I=25
     elseif Zo=25 then
	  I=28
     elseif Zo=26 then
	  I=31
     elseif Zo=28 then
	  I=34
     end if
     'Conversion table for J index
     if Ze=11 then
	  J=1
     elseif Ze=12 then
	  J=2
     elseif Ze=13 then
	  J=3
     elseif Ze=14 then
	  J=4
     elseif Ze=19 then
	  J=5
     elseif Ze=20 then
	  J=6
     elseif Ze=22 then
	  J=7
     elseif Ze=23 then
	  J=8
     elseif Ze=24 then
	  J=9
     elseif Ze=25 then
	  J=10
     elseif Ze=26 then
	  J=11
     elseif Ze=28 then
	  J=12
     end if

     open "ALPHA7.RND" for random as #1 len=4
     field #1,4 as C$
     Poz=36*(J-1)+I
     get #1,Poz
     c=cvs(C$)
     Poz=Poz+1
     get #1,Poz
     d=cvs(C$)
     Poz=Poz+1
     get #1,Poz
     e=cvs(C$)
     close #1

End Sub