Sub ContAbsorption (E0,E,hi,fc)

     'This subroutine calculates correction for absorption of the
     'continuum radiation in the bulk sample, Frame C (1979).

     'Input parameters:    E0    :    Incident beam enrgy (keV)
     '                     E     :    Energy of continous radiation (keV)
     '                     hi    :    Product of mass absorption coefficient
     '                                and cosecans of take-off angle
     'Output parameter:    fc    :    Continous absorption factor

     fc=(1+1.2e-6*(E0^1.65-E^1.65)*hi)^(-2)

End Sub
