Sub Energy1 (Z,L$,E)

'Characteristic Ka and La lines,Poehn,Wernisch and Hanke (1985)
'Input parameters:  Z  = atomic number
'                   L$ = code for lines (Ka,La)
'Output parameter:  E  = energy of characteristic line in keV

    L$=ucase$(L$)
    if L$="KA" then
      a=-6.654e-4
      b=-8.609e-3
      c=9.630e-3
      d=7.268e-6
      e=1.131e-7
    elseif L$="LA" then
       a=4.776e-2
       b=-1.706e-2
       c=1.523e-3
       d=4.414e-6
       e=-1.739e-8
    end if
   E=a+b*Z+c*Z^2+d*Z^3+e*Z^4

End Sub
