Sub Resolution (E,FWHM,Res)

     'This subroutine calculates resolution FWHM  (full width at
     'half of maximum) of peak in the EDS spectrum.

     'Input parameter:   E       :   Energy of the peak (eV)
     '                   FWHM    :   Resolution on Mn K alpha (eV)
     'Output paramter:   Res     :   Resolution of peak (eV)

     Res=sqr(FWHM^2+2.735*(E-5894))

End Sub