Sub ICS1 (E0,Ec,Q)

'Subroutine:Ionization cross-section,Green and Cosslett (1961) for K-lines.
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K-line in keV
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     Q=7.92*1e-20*log(U)/U
     Q=Q/Ec^2

End Sub
