Sub ICS22 (E0,Ec,Z,Q)

'Subroutine:Ionization cross-section,Pouchou (1993)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K line in keV
'                    Z     :     atomic number
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     m=0.86+0.12*exp(-(Z/5)^2)
     Q=1.4e-20*exp(m)*m*log(U)/(Ec^2*U^m)

End Sub
