Sub Mac5 (Ze,Za,L,M)

     'Subroutine:Read Mac's from random access files MAC5K.,MAC5L.,MAC5M.RND
     'Input parameters:       Ze    :    atomic number of emitter
     '                        Za    :    atomic number of absorber
     '                        L     :    line code (1 for K,2 for L,3 for M)
     'Output parameters:      M     :    mass absorption coefficient

     if L=1 then
	 open"MAC5K.RND" for random as #1 len=4
	 field #1,4 as M$
	 Poz=95*(Ze-1)+1+(Za-1)
	 get #1,Poz
	 M=cvs(M$)
	 close #1
     elseif L=2 then
	 open"MAC5L.RND" for random as #2 len=4
	 field #2,4 as M$
	 Poz=95*(Ze-22)+1+(Za-1)
	 get #2,Poz
	 M=cvs(M$)
	 close #2
     elseif L=3 then
	 open"MAC5M.RND" for random as #3 len=4
	 field #3,4 as M$
	 Poz=95*(Ze-72)+1+(Za-1)
	 get #3,Poz
	 M=cvs(M$)
	 close #3
     end if

End Sub