Sub Mac7 (Za,Ze,L,M)

     'Subroutine:Read Mac's from random access files MAC7K and MAC7L.RND
     '           Henke (1982) & Heinrich (1986)
     'Input parameters:       Za    :    atomic number of absorber
     '                        Ze    :    atomic number of emitter
     '                        L     :    line code (1 for K,2 for L,3 for M)
     'Output parameters:      M     :    mass absorption coefficient

     if L=1 then
	 open"MAC7K.RND" for random as #1 len=4
	 field #1,4 as M$
	 Poz=94*(Ze-1)+1+(Za-1)
	 get #1,Poz
	 M=cvs(M$)
	 close #1
     elseif L=2 then
	 open"MAC7L.RND" for random as #2 len=4
	 field #2,4 as M$
	 Poz=94*(Ze-20)+1+(Za-1)
	 get #2,Poz
	 M=cvs(M$)
	 close #2
     end if

End Sub