Sub Profile1 (AtNum,AtWht,IncEnergy,mtstep,MnIonPot,i,m,energy())

      'Compute 50 step energy profile for electron beam
      'by 4-th order Runga-Kutte method
      energy(i,1)=IncEnergy
      for m=2 to 51
	       energy=energy(i,m-1)
	       call StopPwr5 (AtNum,AtWht,energy,MnIonPot,StPwr)
	   A1=mtstep*StPwr
	       energy=energy(i,m-1)-A1/2
	       call StopPwr5 (AtNum,AtWht,energy,MnIonPot,StPwr)
	   A2=mtstep*StPwr
	       energy=energy(i,m-1)-A1/2
	       call StopPwr5 (AtNum,AtWht,energy,MnIonPot,StPwr)
	   A3=mtstep*StPwr
	       energy=energy(i,m-1)-A3
	       call StopPwr5 (AtNum,AtWht,energy,MnIonPot,StPwr)
	   A4=mtstep*StPwr
	   energy(i,m)=energy(i,m-1)-(A1+2*A2+2*A3+A4)/6
      next m
      energy(i,51)=0   'Electron is made to finish with zero energy
      'Now smooth this profile out a little bit
      for m=2 to 50
	   energy(i,m)=(energy(i,m)+energy(i,m+1))/2
      next m

End Sub
