Sub Range (AtNum,AtWht,Density,IncEnergy,MnIonPot,BetheRange,Estep,mtstep)

     'This calculates the range in microns assuming the
     'modified Bethe stopping power equation
     fs=0                                        'initialize to be sure
     for m=1 to 21                        'a Simpson's rule integration
	   energy=(m-1)*IncEnergy/20                    '20 equal steps
	   call StopPwr1 (AtNum,AtWht,energy,MnIonPot,StPwr)
           f=1/StPwr
	   l=2
	   if m/2=int(m/2) then l=4
	   if m=1  then l=1
	   if m=21 then l=1
	   fs=fs+l*f
     next m
     'Now use this to find the range and step length for these conditions
     BetheRange=fs*IncEnergy/60.0            'in gm/cm2
     mtstep=BetheRange/50
     BetheRange=BetheRange*10000.0/Density   'in microns
     Estep=BetheRange/50.0

End Sub
