Sub Range6 (E0,Ec,rho,Range)

'Depth of X-ray production,Reed (1966)
'Input parameters:  E0    = energy of electron beam in keV
'                   Ec    = critical excitation energy in keV
'                   rho   = density in g/cm^3
'Output parameter:  Range = depth of X-ray production in microns

     Range=0.077*(E0^1.5-Ec^1.5)
     Range=Range/rho

End Sub